Bug 1285786 - igraph FTBFS on secondary arches
Summary: igraph FTBFS on secondary arches
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: igraph
Version: 24
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker ZedoraTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2015-11-26 13:18 UTC by Marcin Juszkiewicz
Modified: 2017-08-08 12:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 12:27:56 UTC


Attachments (Terms of Use)
spec change for external libraries use (1.26 KB, text/plain)
2015-11-26 13:18 UTC, Marcin Juszkiewicz
no flags Details

Description Marcin Juszkiewicz 2015-11-26 13:18:29 UTC
Created attachment 1099281 [details]
spec change for external libraries use

Description of problem:

When internal ARPACK is used igraph does not pass test 198 on AArch64.

Using external ARPACK makes it fail at 198 as well but for other reason - details at https://github.com/igraph/igraph/issues/678 

Reported upstream: https://github.com/igraph/igraph/issues/900

Version-Release number of selected component (if applicable):

0.7.1-1 (but also git HEAD of upstream)

How reproducible:

always

Steps to Reproduce:
1. do a build (arm-koji)

Actual results:

198: Non-symmetric ARPACK solver (igraph_arpack_rnsolve): FAILED (arpack.at:67)


Expected results:

package builds

Additional info:

Comment 1 Jan Kurik 2016-02-24 14:02:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Karsten Hopp 2016-05-09 08:04:02 UTC
ppc64 fails in test 198, too: 
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3368209

Comment 3 Dan Horák 2016-05-09 08:30:46 UTC
as does s390(x) - http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2219783

Comment 4 Fedora End Of Life 2017-07-25 19:34:00 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 12:27:56 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.